#include <Wire.h> // Library for I2C communication
#include <LiquidCrystal_I2C.h> // Library for LCD display
#include <RTClib.h> // Library for RTC module

LiquidCrystal_I2C lcd(0x27, 16, 2); // Initialize the LCD screen with its address and dimensions
RTC_DS1307 rtc; // Initialize the RTC module

void setup() {
  lcd.init(); // Initialize the LCD screen
  lcd.backlight(); // Turn on the backlight
  Wire.begin(); // Initialize I2C communication
  rtc.begin(); // Initialize the RTC module
  rtc.adjust(DateTime(__DATE__, __TIME__)); // Set the initial time to the current time
}

void loop() {
  DateTime now = rtc.now(); // Get the current time from the RTC module
  lcd.setCursor(0, 0); // Set the cursor to the top-left corner of the screen
  lcd.print("Time:   "); // Print the label for the time
  lcd.print(now.hour(), DEC); // Print the hour in decimal format
 lcd.print(now.minute(), DEC); // Print the minute in decimal format
 lcd.print(":");
  lcd.print(now.second(), DEC); // Print the second in decimal format

  lcd.setCursor(0, 1); // Set the cursor to the top-left corner of the screen
  lcd.print("Day:  "); // Print the label for the time
lcd.print (now.day(), DEC);
   
 
}
